using System;
using System.Drawing;
using System.Windows.Forms;
using System.Drawing.Printing;

	/// <summary>
	/// Description of OneCodeDemo.
	/// </summary>
	public  class OneCodeDemo: System.Windows.Forms.Form
	{
		
		private System.Windows.Forms.TextBox txt2;
		private System.Windows.Forms.TextBox txt1;
		private System.Windows.Forms.TextBox txtBH;
		private System.Windows.Forms.TextBox txtBW;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Button btnApply;
		private System.Windows.Forms.Button btnClick;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.TextBox txtRC;
		private System.Windows.Forms.TextBox txtSN;
		private System.Windows.Forms.TextBox txtCI;
		private System.Windows.Forms.TextBox txtSS;
		private System.Windows.Forms.TextBox txtBI;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private J4L.OneCode.OneCodeControl bc;
		
		private PrintDocument printDocument1;	
		
		public OneCodeDemo()
		{
			InitializeComponent();
			btnApplyClick(null,null);

		}
		
		void btnApplyClick(object sender, System.EventArgs e)
		{
		
			//encoding
			bc.BarcodeIdentifier=Convert.ToInt32(txtBI.Text);
			bc.CustomerIdentifier=Convert.ToInt32(txtCI.Text);
			bc.SequenceNumber=Convert.ToInt32(txtSN.Text);
			bc.SpecialServices=Convert.ToInt32(txtSS.Text);
			bc.RoutingCode=txtRC.Text;
			
	  		bc.BarWidth=Convert.ToInt32(txtBW.Text);
	  		bc.BarSpacing=bc.BarWidth;	  		
	  		bc.ExtendedBarHeight=Convert.ToInt32(txtBH.Text);
	  		bc.BarHeight=( (int) (bc.ExtendedBarHeight *0.4));	  		
	  		bc.UserTextBottom=null;
	  		if (txt2.Text.Length>0) bc.UserTextBottom=new string[] {txt2.Text};
	  		bc.UserTextTop=null;
	  		if (txt1.Text.Length>0) bc.UserTextTop=new string[] {txt1.Text};
			

			bc.Invalidate();
			
		}
		
		void BtnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
			
		}
		
		private void printDocument1_PrintPage(object sender,
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));

				
     			bc.getBarcodeObject().paint(e.Graphics);
				
			}		

		
		void BtnSaveClick(object sender, System.EventArgs e)
		{
			btnApplyClick(sender,e);
			bc.getBarcodeObject().saveToFile("bc.gif","GIF");
			MessageBox.Show("Barcode saved to bc.gif");
			
		}
		
		void BtnExitClick(object sender, System.EventArgs e)
		{
			this.Close();					
		}

		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
			this.bc = new J4L.OneCode.OneCodeControl();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.txtBI = new System.Windows.Forms.TextBox();
			this.txtSS = new System.Windows.Forms.TextBox();
			this.txtCI = new System.Windows.Forms.TextBox();
			this.txtSN = new System.Windows.Forms.TextBox();
			this.txtRC = new System.Windows.Forms.TextBox();
			this.btnApply = new System.Windows.Forms.Button();
			this.btnClick = new System.Windows.Forms.Button();
			this.btnSave = new System.Windows.Forms.Button();
			this.btnExit = new System.Windows.Forms.Button();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.label9 = new System.Windows.Forms.Label();
			this.txtBW = new System.Windows.Forms.TextBox();
			this.txtBH = new System.Windows.Forms.TextBox();
			this.txt1 = new System.Windows.Forms.TextBox();
			this.txt2 = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.bc.Location = new System.Drawing.Point(12, 12);
			this.bc.Name = "panel1";
			this.bc.Size = new System.Drawing.Size(510, 219);
			this.bc.TabIndex = 0;
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(12, 246);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(116, 27);
			this.label1.TabIndex = 1;
			this.label1.Text = "Barcode Identifier";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(12, 273);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(116, 27);
			this.label2.TabIndex = 2;
			this.label2.Text = "Special services";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(12, 300);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(116, 27);
			this.label3.TabIndex = 3;
			this.label3.Text = "Customer Identifier";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(12, 327);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(116, 27);
			this.label4.TabIndex = 4;
			this.label4.Text = "Sequence number";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(12, 354);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(116, 27);
			this.label5.TabIndex = 5;
			this.label5.Text = "Routing code";
			// 
			// txtBI
			// 
			this.txtBI.Location = new System.Drawing.Point(134, 246);
			this.txtBI.MaxLength = 2;
			this.txtBI.Name = "txtBI";
			this.txtBI.Size = new System.Drawing.Size(52, 21);
			this.txtBI.TabIndex = 6;
			this.txtBI.Text = "01";
			// 
			// txtSS
			// 
			this.txtSS.Location = new System.Drawing.Point(134, 273);
			this.txtSS.MaxLength = 3;
			this.txtSS.Name = "txtSS";
			this.txtSS.Size = new System.Drawing.Size(52, 21);
			this.txtSS.TabIndex = 7;
			this.txtSS.Text = "234";
			// 
			// txtCI
			// 
			this.txtCI.Location = new System.Drawing.Point(134, 300);
			this.txtCI.MaxLength = 6;
			this.txtCI.Name = "txtCI";
			this.txtCI.Size = new System.Drawing.Size(100, 21);
			this.txtCI.TabIndex = 8;
			this.txtCI.Text = "567094";
			// 
			// txtSN
			// 
			this.txtSN.Location = new System.Drawing.Point(134, 327);
			this.txtSN.MaxLength = 9;
			this.txtSN.Name = "txtSN";
			this.txtSN.Size = new System.Drawing.Size(100, 21);
			this.txtSN.TabIndex = 9;
			this.txtSN.Text = "987654321";
			// 
			// txtRC
			// 
			this.txtRC.Location = new System.Drawing.Point(134, 354);
			this.txtRC.MaxLength = 11;
			this.txtRC.Name = "txtRC";
			this.txtRC.Size = new System.Drawing.Size(100, 21);
			this.txtRC.TabIndex = 10;
			this.txtRC.Text = "01234567891";
			// 
			// btnApply
			// 
			this.btnApply.Location = new System.Drawing.Point(64, 396);
			this.btnApply.Name = "btnApply";
			this.btnApply.Size = new System.Drawing.Size(75, 23);
			this.btnApply.TabIndex = 11;
			this.btnApply.Text = "Apply";
			//this.btnApply.UseVisualStyleBackColor = true;
			this.btnApply.Click += new System.EventHandler(this.btnApplyClick);
			// 
			// btnClick
			// 
			this.btnClick.Location = new System.Drawing.Point(170, 396);
			this.btnClick.Name = "btnClick";
			this.btnClick.Size = new System.Drawing.Size(75, 23);
			this.btnClick.TabIndex = 12;
			this.btnClick.Text = "Print";
			//this.btnClick.UseVisualStyleBackColor = true;
			this.btnClick.Click += new System.EventHandler(this.BtnPrintClick);
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(275, 396);
			this.btnSave.Name = "btnSave";
			this.btnSave.Size = new System.Drawing.Size(75, 23);
			this.btnSave.TabIndex = 13;
			this.btnSave.Text = "Save";
			//this.btnSave.UseVisualStyleBackColor = true;
			this.btnSave.Click += new System.EventHandler(this.BtnSaveClick);
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(387, 396);
			this.btnExit.Name = "btnExit";
			this.btnExit.Size = new System.Drawing.Size(75, 23);
			this.btnExit.TabIndex = 14;
			this.btnExit.Text = "Exit";
			//this.btnExit.UseVisualStyleBackColor = true;
			this.btnExit.Click += new System.EventHandler(this.BtnExitClick);
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(284, 244);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(100, 23);
			this.label6.TabIndex = 15;
			this.label6.Text = "Bar width";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(284, 273);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(100, 23);
			this.label7.TabIndex = 16;
			this.label7.Text = "Bar height";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(284, 300);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(100, 23);
			this.label8.TabIndex = 17;
			this.label8.Text = "Text 1";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(284, 325);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(100, 23);
			this.label9.TabIndex = 18;
			this.label9.Text = "Text 2";
			// 
			// txtBW
			// 
			this.txtBW.Location = new System.Drawing.Point(358, 246);
			this.txtBW.Name = "txtBW";
			this.txtBW.Size = new System.Drawing.Size(65, 21);
			this.txtBW.TabIndex = 19;
			this.txtBW.Text = "2";
			// 
			// txtBH
			// 
			this.txtBH.Location = new System.Drawing.Point(358, 273);
			this.txtBH.Name = "txtBH";
			this.txtBH.Size = new System.Drawing.Size(65, 21);
			this.txtBH.TabIndex = 20;
			this.txtBH.Text = "20";
			// 
			// txt1
			// 
			this.txt1.Location = new System.Drawing.Point(358, 300);
			this.txt1.Name = "txt1";
			this.txt1.Size = new System.Drawing.Size(164, 21);
			this.txt1.TabIndex = 21;
			// 
			// txt2
			// 
			this.txt2.Location = new System.Drawing.Point(358, 325);
			this.txt2.Name = "txt2";
			this.txt2.Size = new System.Drawing.Size(164, 21);
			this.txt2.TabIndex = 22;
			// 
			// OneCodeDemo
			// 
			//this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
			//this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.ClientSize = new System.Drawing.Size(534, 432);
			this.Controls.Add(this.txt2);
			this.Controls.Add(this.txt1);
			this.Controls.Add(this.txtBH);
			this.Controls.Add(this.txtBW);
			this.Controls.Add(this.label9);
			this.Controls.Add(this.label8);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.btnExit);
			this.Controls.Add(this.btnSave);
			this.Controls.Add(this.btnClick);
			this.Controls.Add(this.btnApply);
			this.Controls.Add(this.txtRC);
			this.Controls.Add(this.txtSN);
			this.Controls.Add(this.txtCI);
			this.Controls.Add(this.txtSS);
			this.Controls.Add(this.txtBI);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.bc);
			this.Name = "OneCodeDemo";
			this.Text = "OneCodeDemo";
			this.ResumeLayout(false);
			this.PerformLayout();
		}
		
		
		[STAThread]
		public static void Main(string[] args)
		{
			
			Application.Run(new OneCodeDemo());
		}		
		
	}

	

